#!/bin/awk -f 

# Usage:  awk -v L=<L> 
# Data is one column of r-coordinate in lattice
# Output is x,y coordinates
BEGIN{
  if( L == ""){ print "Usage: rw2_r2xy.awk -v L=<L>";exit(1);}
  if( L%2 == 0) L++;
}

{
  r  = $NF;
  y  = int(r/L);
  x  = r - y*L ;
  y -= int(L/2);
  x -= int(L/2);
  print $0,x,y;
}
