#!/bin/awk -f 

BEGIN{
  m= 1e32;
  M=-1e32;
  if( f=="" ) f=1; #multiplication factor to deal with non-integers;
                   #1/f is the bin width
}

{
  r = sqrt($1*$1+$2*$2);
  r = int(r*f)
  n[r] += $3;
  m=(m<r)?m:r;
  M=(M>r)?M:r;
}
END{
  for(i=m;i<=M;i++)
    sum += n[i];
  sum=(sum>0)?sum:1;
  for(i=m;i<=M;i++)
    if( n[i]>0)
      printf "%28.20g   %28.20g\n", i/f,n[i]/(sum);


}
