/************************   init.c ********************************/
#include "include.h"

/* start= 0  cold
          1  hot  */
void init(int start){
  int i;
  /*Initialize probabilities:*/
  for(i=2;i<5;i+=2) prob[i] = exp(-2*beta*i);
  /*Initial configuration:*/
  switch(start){
  case 0:/*cold start*/
    for(i=0;i<N;i++) s[i]=1;
    break;
  case 1:/*hot start*/
    for(i=0;i<N;i++){
      if(drandom() < 0.5)
	s[i] =  1;
      else
	s[i] = -1;
    }
    break;
  default:
    printf("start= %d not valid. Exiting....\n",start);
    exit(1);
    break;
  }
}
