#!/bin/tcsh -f 
# -----------------------------------------
set data = outL40b0.4407.m
set mdat = 1200000 #max data
set L    = 40
set beta = 0.4407
# -----------------------------------------

# jackknife:
set jackf = jack.$data:r
# if( -f $jackf ) rm $jackf
foreach j (500000 1000000)#(60000 100000 200000)#(15000 20000 25000 40000)#( 2 4 8 10 12 16 20 24 32 50 100 200 400 500 600 800 1000 2000 5000 10000)
 echo "jack: $j "
 cat $data | ./jack -j $j -d $mdat | grep -v "#"| awk -v j=$j -v L=$L -v b=$beta '{print j,$1,$2,b*L*L*$3,b*L*L*$4}' >> $jackf
end
