#!/bin/tcsh -f 
# -----------------------------------------
set data = outL40b0.4407.m
set mdat = 1200000 #max data
set L    = 40
set beta = 0.4407
# -----------------------------------------

# # bootstrap: depedence on number of samples
# set bootf = boot.sam.$data:r
# # if( -f $bootf ) rm $bootf
# foreach s (20000 40000)#(4000 8000 10000)#(3 5 8 10 20 50 100 200 400 800 1000 1500 2000)
#  echo "boot: samples = $s"
#  cat $data | ./boot -s $s -d $mdat |  grep -v "#"| awk -v j=$s -v L=$L -v b=$beta '{print j,$1,$2,b*L*L*$3,b*L*L*$4}' >> $bootf

# end

# # This does not work: ....
# # bootstrap: autocorrelations
# set samples = 1000
# set bootf   = boot.aut.$data:r
# # if( -f $bootf ) rm $bootf
# foreach s (24000 28000 30000 36000 42000 48000 52000 56000 72000 80000 90000 100000 110000 120000)#(1 2 4 8 16 32 64 128 256 512 1024 2048 4096 8192 16384  32768 65536 131072)

#  echo "boot: autoc: skip = $s"
#  cat $data | awk -v s=$s 'NR%s==0' | ./boot -s $samples -d $mdat  |  grep -v "#"| awk -v j=$s -v L=$L -v b=$beta '{print j,$1,$2,b*L*L*$3,b*L*L*$4}' >> $bootf

# end

# # bootstrap: autocorrelations
set samples = 1000
set bootf   = boot.bin.$data:r
set ndat    = `wc -l $data|awk '{print $1}'`
# if( -f $bootf ) rm $bootf
foreach binw (400 600 700 800 900 1200 1400)#(1 2 4 8 16 32 64 128 256  512 1024 2048 4096 8192 16384  32768 65536 131072)
 set nbins = `awk -v ndat=$ndat -v binw=$binw 'BEGIN{print int(ndat/binw);}'`
 echo "boot: bins: binw = $binw nbins = $nbins ndat = $ndat"
 cat $data |  ./boot_bin -b $nbins -s $samples -d $mdat  |   grep -v "#"| awk -v j=$binw -v L=$L -v b=$beta '{print j,$1,$2,b*L*L*$3,b*L*L*$4}' >> $bootf

end
