#!/bin/awk -f 

NR == 1 {L=$6; NMAX=0;NMIN=1000000;}

NR>3{
  N  = $3;
  r  = $NF;
  y  = int(r/L);
  x  = r - y*L ;
  y -= int(L/2);
  x -= int(L/2);

  NMAX = (N>NMAX)?N:NMAX;
  NMIN = (N<NMIN)?N:NMIN;
  r2    = x*x+y*y;

  n[N]++;
  R2 [N] += r2;
  eR2[N] += r2*r2;
  
}

END{
  for(N=NMIN;N<=NMAX;N++){
    if( n[N] > 3){
      R2[N]  /= n[N];
      eR2[N] /= n[N];
      eR2[N]  = sqrt( (eR2[N]-R2[N]*R2[N])/(n[N]-1) );
      print N,n[N],R2[N],eR2[N];
    }
  }

}
