#include <stdlib.h>
#include <stdio.h>

#define a 16807
#define m 2147483647
#define q 127773
#define r 2836
#define conv (1.0/(m-1))
double drandom();
int main(){
  ulong i=0;
  for(i=0;i<5;i++){ //print first five random numbers
    printf("%f\n",drandom());
  }
  for(i=5;i<m-1;i++){ //continue up to m-1=period
    drandom();
  }
  for(i=0;i<5;i++){ //confirm that the same sequence restarts after that
    printf("%f\n",drandom());
  }


}
/************************   drandom.c *****************************/
long seed = 567834468L;
double drandom(){
  long l;
  static ulong i=0;
  i++;
  l=seed/q;
  seed = a*(seed-q*l) - r*l;
  if(seed < 0) seed +=m;
  if(seed >= m){ //Do we return 1? No!
    printf("SOS!! drandom: i= %u seed= %d r= %lg\n",
	   i,seed,conv*(seed-1));
  }
  if((i%100000000)==0 ){
    printf("# drandom: i= %u seed= %d r= %lg\n",
	   i,seed,conv*(seed-1));
  }
  return conv*(seed-1);
}
