/******************  end.c ***************************************/
#include "include.h"

void simend(){
  FILE *fout;
  int i;

  /* output the configuration */
  rename("conf","conf.old");
  fout = fopen("conf","w");
  fprintf(fout,"# Configuration of 2d Ising model on square lattice. Parameters (N=Lx*Ly) and s[N]\n");
  fprintf(fout,"Lx= %d Ly= %d beta= %f seed= %ld\n",L,L,beta,seed);
  for(i=0;i<N;i++){
    fprintf(fout,"%d\n",s[i]);
  }
  fclose(fout);

  /* acceptance ratio */
  printf("# acceptance= %lg naccept= %d nattempt= %d\n",
	 ((double)nacc/(double)nattempt), nacc, nattempt);
}
